Public Class cottagesGuestContactData
    Private aGuestTableAdapter As CottagesDataSet2TableAdapters.GetGuestDataTableAdapter
    Private aGuestDataSet As CottagesDataSet2

    Public Function getGuestContactData() As CottagesDataSet2
        Try
            'instantiate table adapter and dataset
            Me.aGuestTableAdapter = New CottagesDataSet2TableAdapters.GetGuestDataTableAdapter
            Me.aGuestDataSet = New CottagesDataSet2
            'fill the dataset
            Me.aGuestTableAdapter.Fill(aGuestDataSet.GetGuestData)
            'return the dataset
            Return aGuestDataSet

        Catch ex As Exception
            Throw ex
        End Try
    End Function
End Class
